pike.git / lib / modules / SSL.pmod / Context.pike

version» Context lines:

pike.git/lib/modules/SSL.pmod/Context.pike:79:   //! Defaults to @expr{({ COMPRESSION_null, COMPRESSION_deflate })@}   //! (ie avoid compression unless the client requires it) due to   //! SSL attacks that target compression.   array(int) preferred_compressors = ({    COMPRESSION_null,   #if constant(Gz)    COMPRESSION_deflate,   #endif    });    + //! If set, the other peer will be probed for the heartbleed bug + //! during handshake. If heartbleed is found the connection is closed + //! with insufficient security fatal error. + int(0..1) heartbleed_probe = 0; +    //! @decl Alert alert_factory(SSL.Connection con, int level, int description, @   //! ProtocolVersion version, @   //! string|void message, mixed|void trace)   //!   //! Alert factory.   //!   //! This function may be overloaded to eg obtain logging of   //! generated alerts.   //!   //! @param con